{
  
  Hidden = TRUE;
  ScriptID = script {    
    @loaded {
      ResByName("image/large_map_est.jpg");
      ResByName("image/large_map_cst.jpg");
      ResByName("image/large_map_mst.jpg");
      ResByName("image/large_map_pst.jpg");
      ResByName("image/large_map_ast.jpg");
      ResByName("image/large_map_hst.jpg");
      
      ResByName("gui/laptop/map_button/small_check_off.pcx");
      ResByName("gui/laptop/map_button/small_check_on_red.pcx");
      ResByName("gui/laptop/map_button/small_checked_off.pcx");
      ResByName("gui/laptop/map_button/small_checked_on_red.pcx");

      ResParseEvent(SELF, "@show");

      ResParseEvent(ResByName("country_map.gl/com1_button"), "@activate");
    }
    @show {
      int i;
      resid Player;
      resid Commodity;
      resid ComButton;
      resid ComButtonOn;
      resid ComButtonOff;
      str   ComBonusName;

      Player = ResPropGetResID(ResByName("Game"), "game_cur_player");

      /* populate the commodity checkbox labels */
      i = 1;
      while (i <= ResPropGetInt(Player,"commodity_number_of")) {
        Commodity    = ResPropGetResID(Player, StrFormatStr("commodity_%d", i));
        ComButton    = GuiChildByName(SELF,StrFormatStr("com%d_button", i));
        ComButtonOn  = GuiChildByname(ComButton,"on");
        ComButtonOff = GuiChildByname(ComButton,"off");

        ResPropSetStr(GuiChildByName(SELF,StrFormatStr("com%d_label",i)),"InputText", ResPropGetStr(Commodity,"commodity_name"));

        if (ResPropGetInt(Commodity, "commodity_state")) {
          ResPropSetResID(ComButtonOn, "UpID", ResByName("gui/laptop/map_button/small_checked_on_red.pcx"));
          ResPropSetResID(ComButtonOff,"UpID", ResByName("gui/laptop/map_button/small_checked_off.pcx"));
        } else {
          ResPropSetResID(ComButtonOn, "UpID", ResByName("gui/laptop/map_button/small_check_on_red.pcx"));
          ResPropSetResID(ComButtonOff,"UpID", ResByName("gui/laptop/map_button/small_check_off.pcx"));
        }

        ResPropSetInt(ComButton, "Hidden", FALSE);

        i+=1; 
      }
      Commodity = ResPropGetResID(Player, "commodity_bonus");
      ComBonusName = ResPropGetStr(Commodity,"commodity_name");
      if (!StrExact("",ComBonusName)) {
        ComButton    = GuiChildByName(SELF,StrFormatStr("com%d_button", i));
        ComButtonOn  = GuiChildByname(ComButton,"on");
        ComButtonOff = GuiChildByname(ComButton,"off");

        ResPropSetStr(GuiChildByName(SELF,StrFormatStr("com%d_label",i)),"InputText", ComBonusName);

        if (ResPropGetInt(Commodity, "commodity_state")) {
          ResPropSetResID(ComButtonOn, "UpID", ResByName("gui/laptop/map_button/small_checked_on_red.pcx"));
          ResPropSetResID(ComButtonOff,"UpID", ResByName("gui/laptop/map_button/small_checked_off.pcx"));
        } else {
          ResPropSetResID(ComButtonOn, "UpID", ResByName("gui/laptop/map_button/small_check_on_red.pcx"));
          ResPropSetResID(ComButtonOff,"UpID", ResByName("gui/laptop/map_button/small_check_off.pcx"));
        }

        ResPropSetInt(ComButton, "Hidden", FALSE);
        i+=1;
      }
      while (i<=13) {
        ResPropSetStr(GuiChildByName(SELF,StrFormatStr("com%d_label",i)),"InputText", "");
        ResPropSetInt(GuiChildByName(SELF,StrFormatStr("com%d_button",i)), "Hidden", TRUE);
        i+=1; 
      }

      ResParseEvent(ResPropGetResID(GuiChildByName(SELF, "com1_button"), "RadioGroupSelectedID"), "@activate");
    }
  };

  ChildID = {
    
    GuiAnimation("plate") {
      AnimationID = "image/country_map.pcx";
      X = 0;
      Y = 0;
    },

    GuiTilemap("map") {
      X = 23;
      Y = 64;
      Width = 596;
      Height = 246;
      ScrollX = 0;
      ScrollY = 0;

      TileMapID = TileMap {
        TileCountX = 1;
        TileCountY = 1;
        TileSet = {
          "image/large_map.jpg",
          "image/large_map_cst.jpg",
          "image/large_map_est.jpg",
          "image/large_map_mst.jpg",
          "image/large_map_pst.jpg",
          "image/large_map_ast.jpg",
          "image/large_map_hst.jpg"
        };
        TileArray = {
          0
        };
      };

    },

   
    GuiCommodityViewer("commodity_drawer") {
      ScriptID = script {
        @setup {
          ResByName("gui/laptop/map_button/red_dot.pcx");
          ResByName("gui/laptop/map_button/blue_dot.pcx");
        }
        @loaded {
          resid city_data_id;
          resid tmp_id;
          int   city_num;
          int   row_count;
          str   cur_name;
          int   x;
          int   y;
          int   xScaleNumerator;
          int   xScaleDenominator;
          int   yScaleNumerator;
          int   yScaleDenominator;
          int   xOffset;
          int   yOffset;
          resid mapID;
          resid tileMapID;
          resid countryTileMapID;
          str   cur_commodity;
          str   last_commodity;
          str   city_name;
          int   text_x;
          int   text_y;
          resid cv_actor_script_id;

          ResPropAlias(SELF, "cur_commodity", "cur_commodity");
          ResPropAlias(SELF, "last_commodity", "last_commodity");

          cur_commodity =
            ResPropGetStr( 
              ResPropGetResID(
                ResPropGetResID(
                  ResByName("Game"),
                  "player_1_id"
                ),
                "commodity_bonus"
              ),
              "commodity_name"
            );

          last_commodity = "";

          city_data_id      = ResPropGetResID(ResByName("CSVData"), "city_id");
          row_count         = CSVGetRowCount(city_data_id);
          mapID             = GuiSiblingByName("map");
          xScaleNumerator   = ResPropGetInt(mapID, "Width");
          yScaleNumerator   = ResPropGetInt(mapID, "Height");
          tileMapID         = ResPropGetResID(ResByName("map.gl/map"), "TileMapID");
          xScaleDenominator = ResPropGetInt(tileMapID, "MapWidth");
          yScaleDenominator = ResPropGetInt(tileMapID, "MapHeight");
          xOffset           = -3;
          yOffset           = -3;

          countryTileMapID = ResPropGetResID(GuiSiblingByName("map"), "TileMapID");
          cv_actor_script_id = ResByName("commodity_viewer_actor.c4");

          city_num = 0;
          while( city_num < row_count ) {

            cur_name = StrFormatStr("commodity_drawer_actor_%d",city_num);
            tmp_id = ResCreateWithPropFile("GuiCommodityViewerActor",cur_name,"commodity_viewer_actor.ac.p");
            ResPropSetResID(tmp_id, "ScriptID", cv_actor_script_id);
            ActorAddToTileMap(tmp_id, countryTileMapID);

            x = CSVGetInt(city_data_id, "X", city_num);
            y = CSVGetInt(city_data_id, "Y", city_num);

            x *= xScaleNumerator;
            x /= xScaleDenominator;
            x += xOffset;

            y *= yScaleNumerator;
            y /= yScaleDenominator;
            y += yOffset;
                        
            
            /* draw the commodity dot */
            ActorSetMXMY(tmp_id, x * 1000, y * 1000);
            ResPropSetInt(tmp_id, "ZOrder", 1);

            text_x = CSVGetInt(city_data_id, "text_x", city_num)+3;
            text_y = CSVGetInt(city_data_id, "text_y", city_num)+3;
           
            city_name = CSVGetStr(city_data_id, "name", city_num);

            if (
              StrExact(
                city_name,
                ResPropGetStr(
                  ResPropGetResID(
                    ResByName("Player1"),
                    "scenario_id"
                  ),
                  "scenario_end_city"
                )
              )
            ) {
              ResPropSetInt(tmp_id, "is_player1_dest", 1);
              ResPropSetInt(tmp_id, "ZOrder", 0);
            }

            if (
              StrExact(
                city_name,
                ResPropGetStr(
                  ResPropGetResID(
                    ResByName("Player2"),
                    "scenario_id"
                  ),
                  "scenario_end_city"
                )
              )
            ) {
              ResPropSetInt(tmp_id, "is_player2_dest", 1);
              ResPropSetInt(tmp_id, "ZOrder", 0);
            }

            if (StrExact(CSVGetStr(city_data_id, "text_align", city_num), "R")) {
              text_x -= TextfontGetWidth(ResByName("font/verdana_9_black.tf"), city_name);
            }

            ResPropSetStr(tmp_id,"com1",       CSVGetStr(city_data_id, "com1",   city_num));
            ResPropSetStr(tmp_id,"com2",       CSVGetStr(city_data_id, "com2",   city_num));
            ResPropSetStr(tmp_id,"com3",       CSVGetStr(city_data_id, "com3",   city_num));
            ResPropSetStr(tmp_id,"city_name",  city_name);
            ResPropSetInt(tmp_id,"city_text_x",text_x); 
            ResPropSetInt(tmp_id,"city_text_y",text_y); 
            
            city_num += 1;
          }
          ActorBroadcastEvent(
            ResPropGetResID(
              GuiSiblingByName("map"),
              "TileMapID"
            ),
            "@updateCommodity"
          );
           
          tmp_id = ResCreateWithPropFile("GuiCommodityViewerTruckActor", "commodity_drawer_truck_actor", "commodity_viewer_truck.ac.p");
          ActorAddToTileMap(tmp_id, countryTileMapID);
          ResPropSetInt(tmp_id, "x_scale_numerator",   xScaleNumerator);
          ResPropSetInt(tmp_id, "x_scale_denominator", xScaleDenominator);
          ResPropSetInt(tmp_id, "x_offset",            xOffset);
          ResPropSetInt(tmp_id, "y_scale_numerator",   yScaleNumerator);
          ResPropSetInt(tmp_id, "y_scale_denominator", yScaleDenominator);
          ResPropSetInt(tmp_id, "y_offset",            yOffset);
          ResPropSetInt(tmp_id, "ZOrder",              2);
          ResParseEvent(tmp_id, "@updateTruck");  
         
        }
        @show {
          ResParseEvent(ResByName("commodity_drawer_truck_actor"), "@updateTruck");
        }
        @animate {
          str cur_commodity;
          str last_commodity;
          ResPropAlias(SELF, "cur_commodity", "cur_commodity");
          ResPropAlias(SELF, "last_commodity", "last_commodity");

          if (StrExact(cur_commodity,last_commodity)) {
            stop;
          } else {
            last_commodity = cur_commodity;
            ActorBroadcastEvent(
              ResPropGetResID(
                GuiSiblingByName("map"),
                "TileMapID"
              ),
              "@updateCommodity"
            );
          }
        }
      };
    },    

    GuiLayer("legend") {
    X = 40;
    Y = 265;
    ChildID = {
        GuiAnimation("green_dot") {
          AnimationID = "gui/laptop/map_button/yellow_dot.pcx";
          X = 0;
          Y = 0;        
        },
        GuiTextInput("truck_text") {
          X = 10;
          Y = -6;  
          Width = 70;
          Height = 20;
          FontID = "font/verdana_9_black.tf";
          InputDisabled = TRUE;    
          InputText = Mangle(65611/*"Truck"*/);
        },
        GuiAnimation("red_dot") {
          AnimationID = "gui/laptop/map_button/red_dot.pcx";
          X = 0;
          Y = 15;        
        },
        GuiTextInput("commodity_text") {
          X = 10;
          Y = 9; 
          Width = 70;
          Height = 20;
          FontID = "font/verdana_9_black.tf";
          InputDisabled = TRUE;    
          InputText = Mangle(65612/*"Commodity"*/);
        },
        GuiAnimation("blue_dot") {
          AnimationID = "gui/laptop/map_button/big_blue_dot.pcx";
          X = 0;
          Y = 30;        
        },
        GuiTextInput("destination_text") {
          X = 10;
          Y = 24;  
          Width = 70;
          Height = 20;
          FontID = "font/verdana_9_black.tf";
          InputDisabled = TRUE;    
          InputText = Mangle(65613/*"Destination"*/);
        }
      };
    },

    GuiTextInput("screen_name") {
      X = 40;
      Y = 40;
      Width = 70;
      Height = 20;
      FontID = "font/verdana_9.tf";
      InputDisabled = TRUE;    
      InputText = Mangle(65614/*"Country Map"*/);
    },

    GuiButtonGroup("no_timezone_button") {
      X = 390;
      Y = 315;
      RadioGroupID = 2;
      ScriptID = script {
        @activate {
          TileMapSetTile(
            ResPropGetResID(GuiSiblingByName("map"), "TileMapID"),
            0,0,
            0
            );
          /*
           ResPropSetResID(
            GuiSiblingByName("map"),
            "AnimationID",
            ResByName("image/large_map.jpg")
          );
          */
        }
      };   
      ChildID = {
        GuiButton("no_timezone_button_off") {
          X = 0;
          Y = 0;
          HorizontalAlign = RIGHTOF;
          HorizontalPadding = 6;
          TextID = Mangle(65615/*"No Time Zone"*/);
          FontID = "font/verdana_black_bold_12.tf";  
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("no_timezone_button_on") {
          X = 0;
          Y = 0;
          HorizontalAlign = RIGHTOF;
          HorizontalPadding = 6;       
           TextID = Mangle(65616/*"No Time Zone"*/);
          FontID = "font/verdana_black_bold_12.tf";   
          UpID = "gui/laptop/map_button/small_check_on.pcx";
        }
      };
    },

    

    GuiButtonGroup("est_button") {
      X = 390;
      Y = 335;
      RadioGroupID = 2;
      ScriptID = script {
        @activate {
          TileMapSetTile(
            ResPropGetResID(GuiSiblingByName("map"), "TileMapID"),
            0,0,
            2
          );
          /*
          ResPropSetResID(
            GuiSiblingByName("map"),
            "AnimationID",
            ResByName("image/large_map_est.pcx")
          );
          */
        }
      };   
      ChildID = {
        GuiButton("est_button_off") {
          X = 0;
          Y = 0;
          HorizontalAlign = RIGHTOF;
          HorizontalPadding = 6;
          TextID = Mangle(65617/*"Eastern Time"*/);
          FontID = "font/verdana_black_bold_12.tf";  
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("est_button_on") {
          X = 0;
          Y = 0;
          HorizontalAlign = RIGHTOF;
          HorizontalPadding = 6;       
           TextID = Mangle(65618/*"Eastern Time"*/);
          FontID = "font/verdana_black_bold_12.tf";   
          UpID = "gui/laptop/map_button/small_check_on.pcx";
        }
      };
    },

    GuiButtonGroup("cst_button") {
      X = 390;
      Y = 355;
      RadioGroupID = 2;
      ScriptID = script {
        @activate {
          TileMapSetTile(
            ResPropGetResID(GuiSiblingByName("map"), "TileMapID"),
            0,0,
            1
          );
          /*
           ResPropSetResID(
            GuiSiblingByName("map"),
            "AnimationID",
            ResByName("image/large_map_cst.pcx")
          );
          */
         }
      };   
      ChildID = {
        GuiButton("cst_button_off") {
          X = 0;
          Y = 0;
          HorizontalAlign = RIGHTOF;
          HorizontalPadding = 6;
          TextID = Mangle(65619/*"Central Time"*/);
          FontID = "font/verdana_black_bold_12.tf";  
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("cst_button_on") {
          X = 0;
          Y = 0;
          HorizontalAlign = RIGHTOF;
          HorizontalPadding = 6;
          TextID = Mangle(65620/*"Central Time"*/);
          FontID = "font/verdana_black_bold_12.tf";  
          UpID = "gui/laptop/map_button/small_check_on.pcx";
        }
      };
    },

    GuiButtonGroup("mst_button") {
      X = 390;
      Y = 375;
      RadioGroupID = 2;
      ScriptID = script {
        @activate {
          TileMapSetTile(
            ResPropGetResID(GuiSiblingByName("map"), "TileMapID"),
            0,0,
            3
          );
          /*
           ResPropSetResID(
            GuiSiblingByName("map"),
            "AnimationID",
            ResByName("image/large_map_mst.pcx")
          );
          */
        }
      };   
      ChildID = {
        GuiButton("mst_button_off") {
          X = 0;
          Y = 0;
          HorizontalAlign = RIGHTOF;
          HorizontalPadding = 6;
          TextID = Mangle(65621/*"Mountain Time"*/);
          FontID = "font/verdana_black_bold_12.tf";  
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("mst_button_on") {
          X = 0;
          Y = 0;
          HorizontalAlign = RIGHTOF;
          HorizontalPadding = 6;
          TextID = Mangle(65622/*"Mountain Time"*/);
          FontID = "font/verdana_black_bold_12.tf";  
          UpID = "gui/laptop/map_button/small_check_on.pcx";
        }
      };
    },

    GuiButtonGroup("pst_button") {
      X = 390;
      Y = 395;
      RadioGroupID = 2;
      ScriptID = script {
        @activate {
          TileMapSetTile(
            ResPropGetResID(GuiSiblingByName("map"), "TileMapID"),
            0,0,
            4
          );
          /*
           ResPropSetResID(
            GuiSiblingByName("map"),
            "AnimationID",
            ResByName("image/large_map_pst.pcx")
          );
          */
        }
      };   
      ChildID = {
        GuiButton("pst_button_off") {
          X = 0;
          Y = 0;
          HorizontalAlign = RIGHTOF;
          HorizontalPadding = 6;
          TextID = Mangle(65623/*"Pacific Time"*/);
          FontID = "font/verdana_black_bold_12.tf";  
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("pst_button_on") {
          X = 0;
          Y = 0;
          HorizontalAlign = RIGHTOF;
          HorizontalPadding = 6;
          TextID = Mangle(65624/*"Pacific Time"*/);
          FontID = "font/verdana_black_bold_12.tf";  
          UpID = "gui/laptop/map_button/small_check_on.pcx";
        }
      };
    },

    GuiButtonGroup("ast_button") {
      X = 390;
      Y = 415;
      RadioGroupID = 2;
      ScriptID = script {
        @activate {
          TileMapSetTile(
            ResPropGetResID(GuiSiblingByName("map"), "TileMapID"),
            0,0,
            5
          );         
        }
      };   
      ChildID = {
        GuiButton("ast_button_off") {
          X = 0;
          Y = 0;
          HorizontalAlign = RIGHTOF;
          HorizontalPadding = 6;
          TextID = Mangle(65625/*"Alaska Time"*/);
          FontID = "font/verdana_black_bold_12.tf";  
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("ast_button_on") {
          X = 0;
          Y = 0;
          HorizontalAlign = RIGHTOF;
          HorizontalPadding = 6;
          TextID = Mangle(65626/*"Alaska Time"*/);
          FontID = "font/verdana_black_bold_12.tf";  
          UpID = "gui/laptop/map_button/small_check_on.pcx";
        }
      };
    },

    GuiButtonGroup("hst_button") {
      X = 390;
      Y = 435;
      RadioGroupID = 2;
      ScriptID = script {
        @activate {
          TileMapSetTile(
            ResPropGetResID(GuiSiblingByName("map"), "TileMapID"),
            0,0,
            6
          );
        }
      };   
      ChildID = {
        GuiButton("hst_button_off") {
          X = 0;
          Y = 0;
          HorizontalAlign = RIGHTOF;
          HorizontalPadding = 6;
          TextID = Mangle(65627/*"Hawaii Time"*/);
          FontID = "font/verdana_black_bold_12.tf";  
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("hst_button_on") {
          X = 0;
          Y = 0;
          HorizontalAlign = RIGHTOF;
          HorizontalPadding = 6;
          TextID = Mangle(65628/*"Hawaii Time"*/);
          FontID = "font/verdana_black_bold_12.tf";  
          UpID = "gui/laptop/map_button/small_check_on.pcx";
        }
      };
    },


    GuiButtonGroup("com1_button") {
      X = 40;
      Y = 315;
      RadioGroupID = 1;
      ScriptID = script {
        @activate {
          ResPropSetStr(GuiSiblingByName("commodity_drawer"),"cur_commodity",ResPropGetStr(GuiSiblingByName("com1_label"),"InputText"));
        }
      };
      ChildID = {
        GuiButton("off") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("on") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_on_red.pcx";
        }
      };
    },
     
    GuiTextInput("com1_label") {
      X = 60;
      Y = 315;
      Width = 95;
      Height = 20;
      InputDisabled = TRUE;
      InputVerticalPadding = 0;
      InputHorizontalPadding = 0;
      InputTextHeightAdjust = 0;
      InputTextWidthAdjust = 0;
      FontID = "font/verdana_black_bold_12.tf";
    },
    
    GuiButtonGroup("com2_button") {
      X = 40;
      Y = 335;
      RadioGroupID = 1;
      Hidden = TRUE;  
      ScriptID = script {
        @activate {
          ResPropSetStr(GuiSiblingByName("commodity_drawer"),"cur_commodity",ResPropGetStr(GuiSiblingByName("com2_label"),"InputText"));
        }
      };       
      ChildID = {
        GuiButton("off") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("on") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_on_red.pcx";
        }
      };
    },
     
    GuiTextInput("com2_label") {
      X = 60;
      Y = 335;
      Width = 95;
      Height = 20;
      InputDisabled = TRUE;  
      InputVerticalPadding = 0;
      InputHorizontalPadding = 0;
      InputTextHeightAdjust = 0;
      InputTextWidthAdjust = 0;
      FontID = "font/verdana_black_bold_12.tf";
      
    },   

    GuiButtonGroup("com3_button") {
      X = 40;
      Y = 355;
      RadioGroupID = 1;
      Hidden = TRUE;
      ScriptID = script {
        @activate {
          ResPropSetStr(GuiSiblingByName("commodity_drawer"),"cur_commodity",ResPropGetStr(GuiSiblingByName("com3_label"),"InputText"));
        }
      };       
      ChildID = {
        GuiButton("off") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("on") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_on_red.pcx";
        }
      };
    },
     
    GuiTextInput("com3_label") {
      X = 60;
      Y = 355;
      Width = 95;
      Height = 20;
      InputDisabled = TRUE;  
      InputVerticalPadding = 0;
      InputHorizontalPadding = 0;
      InputTextHeightAdjust = 0;
      InputTextWidthAdjust = 0;
      FontID = "font/verdana_black_bold_12.tf";
      
    },  
      
    GuiButtonGroup("com4_button") {
      X = 40;
      Y = 375;
      RadioGroupID = 1;
      Hidden = TRUE;
      ScriptID = script {
        @activate {
          ResPropSetStr(GuiSiblingByName("commodity_drawer"),"cur_commodity",ResPropGetStr(GuiSiblingByName("com4_label"),"InputText"));
        }
      };       
      ChildID = {
        GuiButton("off") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("on") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_on_red.pcx";
        }
      };
    },
     
    GuiTextInput("com4_label") {
      X = 60;
      Y = 375;
      Width = 95;
      Height = 20;
      InputDisabled = TRUE;  
      InputVerticalPadding = 0;
      InputHorizontalPadding = 0;
      InputTextHeightAdjust = 0;
      InputTextWidthAdjust = 0;
      FontID = "font/verdana_black_bold_12.tf";
      
    },
    
    GuiButtonGroup("com5_button") {
      X = 40;
      Y = 395;
      RadioGroupID = 1;
      Hidden = TRUE;
      ScriptID = script {
        @activate {
          ResPropSetStr(GuiSiblingByName("commodity_drawer"),"cur_commodity",ResPropGetStr(GuiSiblingByName("com5_label"),"InputText"));
        }
      };         
      ChildID = {
        GuiButton("off") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("on") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_on_red.pcx";
        }
      };
    },
     
    GuiTextInput("com5_label") {
      X = 60;
      Y = 395;
      Width = 95;
      Height = 20;
      InputDisabled = TRUE;  
      InputVerticalPadding = 0;
      InputHorizontalPadding = 0;
      InputTextHeightAdjust = 0;
      InputTextWidthAdjust = 0;
      FontID = "font/verdana_black_bold_12.tf";
      
    },  
          
    GuiButtonGroup("com6_button") {
      X = 40;
      Y = 415;
      RadioGroupID = 1;
      Hidden = TRUE;
      ScriptID = script {
        @activate {
          ResPropSetStr(GuiSiblingByName("commodity_drawer"),"cur_commodity",ResPropGetStr(GuiSiblingByName("com6_label"),"InputText"));
        }
      };         
      ChildID = {
        GuiButton("off") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("on") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_on_red.pcx";
        }
      };
    },
     
    GuiTextInput("com6_label") {
      X = 60;
      Y = 415;
      Width = 95;
      Height = 20;
      InputDisabled = TRUE;  
      InputVerticalPadding = 0;
      InputHorizontalPadding = 0;
      InputTextHeightAdjust = 0;
      InputTextWidthAdjust = 0;
      FontID = "font/verdana_black_bold_12.tf";
      
    },
    GuiButtonGroup("com7_button") {
      X = 40;
      Y = 435;
      RadioGroupID = 1;
      Hidden = TRUE;
      ScriptID = script {
        @activate {
          ResPropSetStr(GuiSiblingByName("commodity_drawer"),"cur_commodity",ResPropGetStr(GuiSiblingByName("com7_label"),"InputText"));
        }
      };   
      ChildID = {
        GuiButton("off") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("on") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_on_red.pcx";
        }
      };
    },
     
    GuiTextInput("com7_label") {
      X = 60;
      Y = 435;
      Width = 95;
      Height = 20;
      InputDisabled = TRUE;  
      InputVerticalPadding = 0;
      InputHorizontalPadding = 0;
      InputTextHeightAdjust = 0;
      InputTextWidthAdjust = 0;
      FontID = "font/verdana_black_bold_12.tf";
    },
    GuiButtonGroup("com8_button") {
      X = 160;
      Y = 315;  
      RadioGroupID = 1;
      Hidden = TRUE;
      ScriptID = script {
        @activate {
          ResPropSetStr(GuiSiblingByName("commodity_drawer"),"cur_commodity",ResPropGetStr(GuiSiblingByName("com8_label"),"InputText"));
        }
      };             
      ChildID = {
        GuiButton("off") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },
        GuiButton("on") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_on_red.pcx";
        }
      };
    },
     
    GuiTextInput("com8_label") {
      X = 180;
      Y = 315;
      Width = 160;
      Height = 20;
      InputDisabled = TRUE;  
      InputVerticalPadding = 0;
      InputHorizontalPadding = 0;
      InputTextHeightAdjust = 0;
      InputTextWidthAdjust = 0;
      FontID = "font/verdana_black_bold_12.tf";
    },

    GuiButtonGroup("com9_button") {
      X = 160;
      Y = 335;  
      RadioGroupID = 1;
      Hidden = TRUE;       
      ScriptID = script {
        @activate {
          ResPropSetStr(GuiSiblingByName("commodity_drawer"),"cur_commodity",ResPropGetStr(GuiSiblingByName("com9_label"),"InputText"));
        }
      };          
      ChildID = {
        GuiButton("off") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("on") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_on_red.pcx";
        }
      };
    },
     
    GuiTextInput("com9_label") {
      X = 180;
      Y = 335;
      Width = 160;
      Height = 20;
      InputDisabled = TRUE;  
      InputVerticalPadding = 0;
      InputHorizontalPadding = 0;
      InputTextHeightAdjust = 0;
      InputTextWidthAdjust = 0;
      FontID = "font/verdana_black_bold_12.tf";
    },   

    GuiButtonGroup("com10_button") {
      X = 160;
      Y = 355;  
      RadioGroupID = 1;
      Hidden = TRUE;     
      ScriptID = script {
        @activate {
          ResPropSetStr(GuiSiblingByName("commodity_drawer"),"cur_commodity",ResPropGetStr(GuiSiblingByName("com10_label"),"InputText"));
        }
      };            
      ChildID = {
        GuiButton("off") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("on") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_on_red.pcx";
        }
      };
    },
     
    GuiTextInput("com10_label") {
      X = 180;
      Y = 355;
      Width = 160;
      Height = 20;
      InputDisabled = TRUE;  
      InputVerticalPadding = 0;
      InputHorizontalPadding = 0;
      InputTextHeightAdjust = 0;
      InputTextWidthAdjust = 0;
      FontID = "font/verdana_black_bold_12.tf";
    },  
      
    GuiButtonGroup("com11_button") {
      X = 160;
      Y = 375;
      RadioGroupID = 1;
      Hidden = TRUE;  
      ScriptID = script {
        @activate {
          ResPropSetStr(GuiSiblingByName("commodity_drawer"),"cur_commodity",ResPropGetStr(GuiSiblingByName("com11_label"),"InputText"));
        }
      };             
      ChildID = {
        GuiButton("off") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("on") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_on_red.pcx";
        }
      };
    },
     
    GuiTextInput("com11_label") {
      X = 180;
      Y = 375;
      Width = 160;
      Height = 20;
      InputDisabled = TRUE;  
      InputVerticalPadding = 0;
      InputHorizontalPadding = 0;
      InputTextHeightAdjust = 0;
      InputTextWidthAdjust = 0;
      FontID = "font/verdana_black_bold_12.tf";
    },
    
    GuiButtonGroup("com12_button") {
      X = 160;
      Y = 395;  
      RadioGroupID = 1;
      Hidden = TRUE;     
      ScriptID = script {
        @activate {
          ResPropSetStr(GuiSiblingByName("commodity_drawer"),"cur_commodity",ResPropGetStr(GuiSiblingByName("com12_label"),"InputText"));
        }
      };          
      ChildID = {
        GuiButton("off") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("on") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_on_red.pcx";
        }
      };
    },
     
    GuiTextInput("com12_label") {
      X = 180;
      Y = 395;
      Width = 160;
      Height = 20;
      InputDisabled = TRUE;  
      InputVerticalPadding = 0;
      InputHorizontalPadding = 0;
      InputTextHeightAdjust = 0;
      InputTextWidthAdjust = 0;
      FontID = "font/verdana_black_bold_12.tf";
    },  

    GuiButtonGroup("com13_button") {
      X = 160;
      Y = 415;
      RadioGroupID = 1;
      Hidden = TRUE;
      ScriptID = script {
        @activate {
          ResPropSetStr(GuiSiblingByName("commodity_drawer"),"cur_commodity",ResPropGetStr(GuiSiblingByName("com13_label"),"InputText"));
        }
      };         
      ChildID = {
        GuiButton("off") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_off.pcx";
        },  
        GuiButton("on") {
          X = 0;
          Y = 0;
          UpID = "gui/laptop/map_button/small_check_on_red.pcx";
        }
      };
    },
     
    GuiTextInput("com13_label") {
      X = 180;
      Y = 415;
      Width = 160;
      Height = 20;
      InputDisabled = TRUE;  
      InputVerticalPadding = 0;
      InputHorizontalPadding = 0;
      InputTextHeightAdjust = 0;
      InputTextWidthAdjust = 0;
      FontID = "font/verdana_black_bold_12.tf";
    }
  };  
}
